#include "StdAfx.h"

#include "GraphicOutput.h"
#include "MineSweeper.h"

CMineSweeper::CMineSweeper(CGraphicOutput *pGO)
    : CActionHandler(pGO)
{
}

CMineSweeper::~CMineSweeper(void)
{
}

void CMineSweeper::cellOpen(int irow, int icol)
{
    TRACE("cellOpen() irow=%d icol=%d\n", irow, icol);
}

void CMineSweeper::cellMark(int irow, int icol)
{
    TRACE("cellMark() irow=%d icol=%d\n", irow, icol);
}

/* level 0: board_width = 9, board_height = 9, number_of_mines = 10 */
/* level 1: board_width = 16, board_height = 16, number_of_mines = 40 */
/* level 2: board_width = 30, board_height = 16, number_of_mines = 99 */

void CMineSweeper::newGame(int width, int height, int mineCount)
{
    TRACE("newGame() width=%d height=%d mineCount=%d\n", width, height, mineCount);
}

void CMineSweeper::exitProgram()
{
    TRACE("exitProgram()\n");
}

void CMineSweeper::initializeProgram()
{
    TRACE("inializeGame()\n");
}
